Ponder.registry((event) => {
	event.create("#tfc:support_beams")
		.scene("kubejs:support_1", "反塌方利器", (scene, utils) => {
			//第一步
			scene.addKeyframe()
			scene.configureBasePlate(0, 0, 5)
			scene.showStructure(0)
			scene.idle(10)
			//第一层
			scene.world.setBlocks([2, 1, 0], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 1, 0], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 1, 1], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 1, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 1, 2], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 1, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 1, 3], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 1, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 1, 4], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 1, 4], Direction.DOWN)
			scene.idle(2)
			//第二层
			scene.world.setBlocks([2, 2, 0], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 2, 0], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 2, 1], "tfc:ore/diamond/dacite")
			scene.world.showSection([2, 2, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 2, 2], "tfc:ore/diamond/dacite")
			scene.world.showSection([2, 2, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 2, 3], "tfc:ore/diamond/dacite")
			scene.world.showSection([2, 2, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 2, 4], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 2, 4], Direction.DOWN)
			scene.idle(2)
			//第三层
			scene.world.setBlocks([2, 3, 0], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 3, 0], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 3, 1], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 3, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 3, 2], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 3, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 3, 3], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 3, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 3, 4], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 3, 4], Direction.DOWN)
			scene.idle(2)
			//第四层
			scene.world.setBlocks([2, 4, 0], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 4, 0], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 4, 1], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 4, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 4, 2], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 4, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 4, 3], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 4, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 4, 4], "tfc:rock/raw/dacite")
			scene.world.showSection([2, 4, 4], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 4, 1], "tfc:rock/raw/dacite")
			scene.world.showSection([1, 4, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 4, 2], "tfc:rock/raw/dacite")
			scene.world.showSection([1, 4, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 4, 3], "tfc:rock/raw/dacite")
			scene.world.showSection([1, 4, 3], Direction.DOWN)
			scene.idle(15)
			scene.text(40, "哇趣，是钻石！吃我方块爆破拳！", [2, 2.5, 2.5])
			scene.idle(30)
			scene.showControls(15, [2, 2.5, 2.5], "DOWN")
				.leftClick()
				.withItem("tfc:metal/pickaxe/red_steel")
			scene.idle(15)
			//scene.world.destroyBlock([2, 2, 2], 10, false)
			scene.world.setBlocks([2, 2, 2], "minecraft:air", true)
			scene.idle(2)
			//模拟崩塌，生石变圆石
			scene.world.setBlocks([2, 2, 1], "tfc:rock/cobble/dacite", true)
			scene.world.setBlocks([2, 2, 3], "tfc:rock/cobble/dacite", true)
			scene.world.setBlocks([1, 4, 1], "tfc:rock/cobble/dacite", true)
			scene.world.setBlocks([1, 4, 2], "tfc:rock/cobble/dacite", true)
			scene.world.setBlocks([1, 4, 3], "tfc:rock/cobble/dacite", true)
			scene.world.setBlocks([2, 1, 2], "tfc:rock/cobble/dacite", true)
			scene.world.setBlocks([2, 1, 3], "tfc:rock/cobble/dacite", true)
			scene.world.setBlocks([2, 3, 0], "tfc:rock/cobble/dacite", true)
			scene.world.setBlocks([2, 3, 1], "tfc:rock/cobble/dacite", true)
			scene.world.setBlocks([2, 4, 4], "tfc:rock/cobble/dacite", true)
			scene.idle(10)
			scene.text(85, "就这样，你和你的钻石都被塌方吞掉了，真是一对苦命鸳鸯()", [2, 2.5, 2.5])
			scene.idle(60)
			scene.world.setBlocks([2, 2, 1], "tfc:ore/diamond/dacite", true)
			scene.world.setBlocks([2, 2, 3], "tfc:ore/diamond/dacite", true)
			scene.world.setBlocks([1, 4, 1], "minecraft:air", true)
			scene.world.setBlocks([1, 4, 2], "minecraft:air", true)
			scene.world.setBlocks([1, 4, 3], "minecraft:air", true)
			scene.world.setBlocks([2, 2, 2], "tfc:ore/diamond/dacite", true)
			scene.world.setBlocks([2, 1, 2], "tfc:rock/raw/dacite", true)
			scene.world.setBlocks([2, 1, 3], "tfc:rock/raw/dacite", true)
			scene.world.setBlocks([2, 3, 0], "tfc:rock/raw/dacite", true)
			scene.world.setBlocks([2, 3, 1], "tfc:rock/raw/dacite", true)
			scene.world.setBlocks([2, 4, 4], "tfc:rock/raw/dacite", true)
			scene.world.showSection([2, 2, 2], Direction.DOWN)
			scene.addKeyframe()
			scene.idle(25)
			scene.text(55, "如果不想你的钻石被送去亚空间...", [2, 2.5, 2.5])
			scene.idle(35)
			scene.world.setBlocks([1, 1, 0], "tfc:wood/vertical_support/douglas_fir", true)
			scene.world.showSection([1, 1, 0], Direction.DOWN)
			scene.world.setBlocks([1, 1, 4], "tfc:wood/vertical_support/douglas_fir", true)
			scene.world.showSection([1, 1, 4], Direction.DOWN)
			scene.idle(5)
			scene.world.setBlocks([1, 2, 0], "tfc:wood/vertical_support/douglas_fir", true)
			scene.world.showSection([1, 2, 0], Direction.DOWN)
			scene.world.setBlocks([1, 2, 4], "tfc:wood/vertical_support/douglas_fir", true)
			scene.world.showSection([1, 2, 4], Direction.DOWN)
			scene.idle(5)
			scene.world.setBlocks([1, 3, 0], "tfc:wood/vertical_support/douglas_fir", true)
			scene.world.modifyBlock([1, 3, 0], (state) => state.with("south", "true"), true)
			scene.world.showSection([1, 3, 0], Direction.DOWN)
			scene.world.setBlocks([1, 3, 4], "tfc:wood/vertical_support/douglas_fir", true)
			scene.world.modifyBlock([1, 3, 4], (state) => state.with("north", "true"), true)
			scene.world.showSection([1, 3, 4], Direction.DOWN)
			scene.world.setBlocks([1, 3, 1], "tfc:wood/horizontal_support/douglas_fir", true)
			scene.world.modifyBlock([1, 3, 1], (state) => state.with("north", "true"), true)
			scene.world.modifyBlock([1, 3, 1], (state) => state.with("south", "true"), true)
			scene.world.showSection([1, 3, 1], Direction.DOWN)
			scene.world.setBlocks([1, 3, 2], "tfc:wood/horizontal_support/douglas_fir", true)
			scene.world.modifyBlock([1, 3, 2], (state) => state.with("north", "true"), true)
			scene.world.modifyBlock([1, 3, 2], (state) => state.with("south", "true"), true)
			scene.world.showSection([1, 3, 2], Direction.DOWN)
			scene.world.setBlocks([1, 3, 3], "tfc:wood/horizontal_support/douglas_fir", true)
			scene.world.modifyBlock([1, 3, 3], (state) => state.with("north", "true"), true)
			scene.world.modifyBlock([1, 3, 3], (state) => state.with("south", "true"), true)
			scene.world.showSection([1, 3, 3], Direction.DOWN)
			scene.idle(15)
			scene.text(80, "那就请出承重梁先生！其所有横向的部分\n都对其上的方块有承重效果，有效避免塌方！", [1.5, 3.5, 5.5])
			scene.idle(85)
			scene.world.setBlocks([1, 4, 1], "tfc:rock/raw/dacite", true)
			scene.world.setBlocks([1, 4, 2], "tfc:rock/raw/dacite", true)
			scene.world.setBlocks([1, 4, 3], "tfc:rock/raw/dacite", true)
			scene.idle(15)
			scene.text(40, "吔！！！一百万匹力量！方块爆破拳！", [2, 2.5, 2.5])
			scene.idle(15)
			scene.showControls(15, [2, 2.5, 2.5], "DOWN")
				.leftClick()
				.withItem("tfc:metal/pickaxe/red_steel")
			scene.idle(15)
			scene.world.setBlocks([2, 2, 2], "minecraft:air", true)
			scene.world.createItemEntity([2, 2.5, 2.5], Direction.EAST, "minecraft:diamond_pickaxe")
			scene.idle(30)
			scene.text(55, "？掉落钻石镐是吧，你小子指定开了！", [2, 2.5, 2.5])
			scene.idle(30)
		})
})